<style type="text/css">

#keyboard {

	margin: 0 auto;

	padding: 0;

	list-style: none;

}

#keyboard li {

	float:left;

	font-family:Arial;

	font-size:11px;

	height:18px;

	line-height:18px;

	margin:0 2px 2px 0;

	text-align:center;

	width:18px;

}

.capslock, .tab, .left-shift {

	clear: left;

}

#keyboard .tab, #keyboard .delete {

	width: 110px;

}

#keyboard .capslock {

	width: 80px;

}

#keyboard .return {

	width: 70px;

}

#keyboard .left-shift {

	width: 85px;

}

#keyboard .right-shift {

	width: 87px;

}

.lastitem {

	margin-right: 0;

}

.uppercase {

	text-transform: uppercase;

}

#keyboard .space {

	clear: left;

	width: 396px;

}

.on {

	display: none;

}

#keyboard li:hover {

	position: relative;

	top: 1px;

	left: 1px;

	cursor: pointer;

}

</style>

<div id="container" class="ui-helper-clearfix" style="width:400px;margin:0 auto;">

	<ul id="keyboard">

		<li class="symbol"><span class="off">`</span><span class="on">~</span></li>

		<li class="symbol"><span class="off">1</span><span class="on">!</span></li>

		<li class="symbol"><span class="off">2</span><span class="on">@</span></li>

		<li class="symbol"><span class="off">3</span><span class="on">#</span></li>

		<li class="symbol"><span class="off">4</span><span class="on">$</span></li>

		<li class="symbol"><span class="off">5</span><span class="on">%</span></li>

		<li class="symbol"><span class="off">6</span><span class="on">^</span></li>

		<li class="symbol"><span class="off">7</span><span class="on">&amp;</span></li>

		<li class="symbol"><span class="off">8</span><span class="on">*</span></li>

		<li class="symbol"><span class="off">9</span><span class="on">(</span></li>

		<li class="symbol"><span class="off">0</span><span class="on">)</span></li>

		<li class="symbol"><span class="off">-</span><span class="on">_</span></li>

		<li class="symbol"><span class="off">=</span><span class="on">+</span></li>

		<li class="delete lastitem">delete</li>

		<li class="tab">tab</li>

		<li class="letter">q</li>

		<li class="letter">w</li>

		<li class="letter">e</li>

		<li class="letter">r</li>

		<li class="letter">t</li>

		<li class="letter">y</li>

		<li class="letter">u</li>

		<li class="letter">i</li>

		<li class="letter">o</li>

		<li class="letter">p</li>

		<li class="symbol"><span class="off">[</span><span class="on">{</span></li>

		<li class="symbol"><span class="off">]</span><span class="on">}</span></li>

		<li class="symbol lastitem"><span class="off">\</span><span class="on">|</span></li>

		<li class="capslock">caps lock</li>

		<li class="letter">a</li>

		<li class="letter">s</li>

		<li class="letter">d</li>

		<li class="letter">f</li>

		<li class="letter">g</li>

		<li class="letter">h</li>

		<li class="letter">j</li>

		<li class="letter">k</li>

		<li class="letter">l</li>

		<li class="symbol"><span class="off">;</span><span class="on">:</span></li>

		<li class="symbol"><span class="off">'</span><span class="on">&quot;</span></li>

		<li class="return lastitem">return</li>

		<li class="left-shift">shift</li>

		<li class="letter">z</li>

		<li class="letter">x</li>

		<li class="letter">c</li>

		<li class="letter">v</li>

		<li class="letter">b</li>

		<li class="letter">n</li>

		<li class="letter">m</li>

		<li class="symbol"><span class="off">,</span><span class="on">&lt;</span></li>

		<li class="symbol"><span class="off">.</span><span class="on">&gt;</span></li>

		<li class="symbol"><span class="off">/</span><span class="on">?</span></li>

		<li class="right-shift lastitem">shift</li>

		<li class="space lastitem">&nbsp;</li>

	</ul>

</div>

<script type="text/javascript">

$(function(){



	$("input").focus(function(){

		$('input').removeClass('input-focus');

		$(this).addClass('input-focus');

	});

	

	$('#keyboard li').each(function(){

		$(this).addClass('ui-state-active no-bold ui-corner-all');

	}).hover(function(){

		$(this).addClass('ui-state-hover').removeClass('ui-state-active');

	}, function(){

		$(this).addClass('ui-state-active').removeClass('ui-state-hover')

	}).click(function(){

		kb( $('input.input-focus'), $(this) );

	});;

	

function kb(ok,ob){

	

	var $write = ok,

		shift = false,

		capslock = false;

	

	

		var $this = ob,

			character = $this.html();

		

		if ($this.hasClass('left-shift') || $this.hasClass('right-shift')) {

			$('.letter').toggleClass('uppercase');

			$('.symbol span').toggle();

			

			shift = (shift === true) ? false : true;

			capslock = false;

			return false;

		}

		

		

		if ($this.hasClass('capslock')) {

			$('.letter').toggleClass('uppercase');

			capslock = true;

			return false;

		}

		

		

		if ($this.hasClass('delete')) {

			var html = $write.val();

			

			$write.val(html.substr(0, html.length - 1));

			return false;

		}

		

		

		if ($this.hasClass('symbol')) character = $('span:visible', $this).html();

		if ($this.hasClass('space')) character = ' ';

		if ($this.hasClass('tab')) character = "\t";

		if ($this.hasClass('return')) character = "\n";

		

		

		if ($this.hasClass('uppercase')) character = character.toUpperCase();

		

		

		if (shift === true) {

			$('.symbol span').toggle();

			if (capslock === false) $('.letter').toggleClass('uppercase');

			

			shift = false;

		}

		

		

		$write.val($write.val() + character);

	

}



});

</script>